# cwl_utils.tests.test_cite_extract

Tests for cwl-cite-extract.

## Functions

`test_cite_extract_simple`(capsys) | Test the citation extraction, simply.
`test_cite_extract_workflow_no_results`(capsys) | Attempt to extract citations from a workflow without any SoftwareRequirements.

## Module Contents

cwl_utils.tests.test_cite_extract.test_cite_extract_simple(capsys)

  Test the citation extraction, simply.

  Parameters:

    capsys (pytest.CaptureFixture[str])

  Return type:

    None

cwl_utils.tests.test_cite_extract.test_cite_extract_workflow_no_results(capsys)

  Attempt to extract citations from a workflow without any SoftwareRequirements.

  Parameters:

    capsys (pytest.CaptureFixture[str])

  Return type:

    None